package com.ruoyi.applet.service;

import com.cyl.h5.pojo.vo.H5OrderVO;
import com.ruoyi.common.core.domain.AjaxResult;

/**
 * 下单小程序 -点击派单 - 派单逻辑
 */
public interface IMallOrderService {


    //点击派单：进入派单逻辑
    public void dispatch(Long orderId);

    //接单：进入接单逻辑 -> 1.根据规则查询可接单的伴宠师
    // 有id传入则指定人员，如果没有则随机派单
    public AjaxResult acceptDispatch(Long appletUserId, H5OrderVO h5OrderVO);

    //接单：没有找到对应人员进入接单大厅接单逻辑
    public AjaxResult acceptDispatchAll(H5OrderVO h5OrderVO);





}
